Warehouse Imports
Update Warehouse Import
Update an existing warehouse import’s settings.
Patchable Fields
The following fields can be modified:
- paused (boolean, required): Pause or resume the import sync
- run_every (integer): Sync frequency in nanoseconds. Must be one of the following values:
0: API-triggered only (no scheduled sync)3600000000000: Hourly86400000000000: Daily604800000000000: Weekly
- databricks_params (object): Databricks-specific cluster configuration (only for Databricks sources). Note: this is a full replacement, not a partial merge. Always provide the complete desired cluster configuration.
Pause/Resume Behavior
- When
paused: true, the import job will be stopped and no new syncs will be triggered - When
paused: false, the import job will be resumed with the specified frequency - When resuming, you can optionally update
run_every
Databricks Configuration
For Databricks Jobs compute imports, you can update cluster configurations:
export_cluster_config: Configuration for the data export job cluster
PATCH
/
projects
/
{projectId}
/
warehouse-sources
/
imports
/
{importId}
Update a warehouse import
curl --request PATCH \
--url https://{regionAndDomain}.com/api/app/projects/{projectId}/warehouse-sources/imports/{importId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"paused": true,
"databricks_params": {
"export_cluster_config": {
"spark_version": "<string>",
"node_type_id": "<string>",
"driver_node_type_id": "<string>",
"num_workers": 1,
"autoscale": {
"min_workers": 1,
"max_workers": 2
},
"spark_conf": {},
"spark_env_vars": {},
"single_user_name": "<string>",
"custom_tags": {},
"policy_id": "<string>",
"instance_pool_id": "<string>",
"driver_instance_pool_id": "<string>",
"enable_elastic_disk": true,
"aws_attributes": {},
"azure_attributes": {},
"gcp_attributes": {},
"init_scripts": [
{}
]
}
}
}
'import requests
url = "https://{regionAndDomain}.com/api/app/projects/{projectId}/warehouse-sources/imports/{importId}"
payload = {
"paused": True,
"databricks_params": { "export_cluster_config": {
"spark_version": "<string>",
"node_type_id": "<string>",
"driver_node_type_id": "<string>",
"num_workers": 1,
"autoscale": {
"min_workers": 1,
"max_workers": 2
},
"spark_conf": {},
"spark_env_vars": {},
"single_user_name": "<string>",
"custom_tags": {},
"policy_id": "<string>",
"instance_pool_id": "<string>",
"driver_instance_pool_id": "<string>",
"enable_elastic_disk": True,
"aws_attributes": {},
"azure_attributes": {},
"gcp_attributes": {},
"init_scripts": [{}]
} }
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
paused: true,
databricks_params: {
export_cluster_config: {
spark_version: '<string>',
node_type_id: '<string>',
driver_node_type_id: '<string>',
num_workers: 1,
autoscale: {min_workers: 1, max_workers: 2},
spark_conf: {},
spark_env_vars: {},
single_user_name: '<string>',
custom_tags: {},
policy_id: '<string>',
instance_pool_id: '<string>',
driver_instance_pool_id: '<string>',
enable_elastic_disk: true,
aws_attributes: {},
azure_attributes: {},
gcp_attributes: {},
init_scripts: [{}]
}
}
})
};
fetch('https://{regionAndDomain}.com/api/app/projects/{projectId}/warehouse-sources/imports/{importId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"results": {
"id": 123,
"created": "2023-11-07T05:31:56Z",
"creator_id": 123,
"creator_name": "<string>",
"creator_email": "<string>",
"warehouse_source_id": 123,
"table_params": {},
"paused": true,
"last_dispatch": 123,
"is_deleted": true,
"event_name": "<string>",
"event_column_name": "<string>",
"time_column_name": "<string>",
"user_column_name": "<string>",
"insert_time_column_name": "<string>",
"property_mappings": {},
"group_key": "<string>",
"group_id_column": "<string>",
"databricks_params": {
"export_cluster_config": {
"spark_version": "<string>",
"node_type_id": "<string>",
"driver_node_type_id": "<string>",
"num_workers": 1,
"autoscale": {
"min_workers": 1,
"max_workers": 2
},
"spark_conf": {},
"spark_env_vars": {},
"single_user_name": "<string>",
"custom_tags": {},
"policy_id": "<string>",
"instance_pool_id": "<string>",
"driver_instance_pool_id": "<string>",
"enable_elastic_disk": true,
"aws_attributes": {},
"azure_attributes": {},
"gcp_attributes": {},
"init_scripts": [
{}
]
}
}
}
}{
"error": "<string>",
"status": "error"
}{
"error": "<string>",
"status": "error"
}{
"error": "<string>",
"status": "error"
}{
"error": "<string>",
"status": "error"
}Authorizations
Service Account
Path Parameters
Your project id (eg: 12345)
Your warehouse import id (eg: 12345)
Body
application/json
Whether to pause (true) or resume (false) the import
Sync frequency in nanoseconds. Only these values are accepted:
0- API-triggered only (use the manual-sync endpoint to trigger)3600000000000- Hourly86400000000000- Daily604800000000000- Weekly
Available options:
0, 3600000000000, 86400000000000, 604800000000000 Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a warehouse import
